Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class FromExpression

- org.apache.groovy.ginq.dsl.expression.FromExpression

-     public class FromExpression
      extends DataSourceExpression

  Represents the from expression

  Since:
    4.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DataSourceExpression` | `aliasExpr, dataSourceExpr`
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FromExpression(Expression aliasExpr, Expression dataSourceExpr)` Creates a `from` clause.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<R>` | `public R` | `accept(GinqAstVisitor<R> visitor)` Accepts a visitor for this clause.
    `` | `public DataSourceExpression` | `getDataSourceExpression()` Returns this clause as its own data-source expression.
    `` | `public String` | `getText()` Returns the textual GINQ form of this clause.
    `` | `public void` | `setDataSourceExpression(DataSourceExpression dataSourceExpression)` Rejects replacing the `from` clause with another data source.
    `` | `public String` | `toString()` Returns the textual form of this clause.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DataSourceExpression` | `getAliasExpr, getDataSourceExpr, setDataSourceExpr`
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public FromExpression(Expression aliasExpr, Expression dataSourceExpr)

      Creates a `from` clause.

      Parameters:
        `aliasExpr` - the alias expression
        `dataSourceExpr` - the source expression

  - ### Method Detail

    - #### <R> public R accept(GinqAstVisitor<R> visitor)

      Accepts a visitor for this clause.

      Parameters:
        `visitor` - the visitor to accept
      Type Parameters:
        `R` - the visit result type
      Returns:
        the visit result

    - #### public DataSourceExpression getDataSourceExpression()

      Returns this clause as its own data-source expression.

      Returns:
        this instance

    - #### public String getText()

      Returns the textual GINQ form of this clause.

      Returns:
        the clause text

    - #### public void setDataSourceExpression(DataSourceExpression dataSourceExpression)

      Rejects replacing the `from` clause with another data source.

      Parameters:
        `dataSourceExpression` - the ignored replacement

    - #### public String toString()

      Returns the textual form of this clause.

      Returns:
        the clause text